class AsyncSnooperError(Exception):
    """ Base exception class for Snooper exceptions """


class NotAsyncFunctionError(AsyncSnooperError):
    """ raised when a function is not async """


class InvalidOutputError(AsyncSnooperError):
    """ raised when output is invalid """
